## Options for Establishing a Connection

### Use

You can specify options for establishing a connection in Command File Mode or Session Mode.

connect_options

-d <database_name> | Name of database instance
-u [<database_user>,<password>] | Name and password of the database user
-n <database_computer>[:<port>] | Name of the database computer Default value: local computer
-s <schema_name> | Name of the database schema Default value: schema of the current database user
-e <encryption> | Encryption method Possible values: SSL (currently, only SSL/TLS encryption is supported in SAP systems)

### Examples

Loader Tutorial, Command File Mode, Session Mode

### Explanation

#### -d <database_name>

The Loader establishes a connection to the specified database instance database_name.When it does this, the Loader implicitly executes the Loader command USE DB, or the Loader command USE USER, if both database instance name and user data have been specified.

You can also specify the name of the database instance with the commands USE DB or USE USER. This enables you to change the name during the Loader session.

#### -u [<database_user>,<password>]

The prerequisite for using this option is that you use option -d for specifying a database instance at the same time.

If you use option –u without specifying the user data <user_name>,<password> , the Loader prompts you for a user name/password combination. In this way you can avoid the operator password being visible in the command line, command history, and the operating system process list.

A database session is created for the specified user. At the same time, the Loader executes the Loader command USE USER implicitly. The user name and password are automatically converted into uppercase letters by the database system.

You can also use the command USE USER to specify user data. This enables you to switch users during a Loader session.

#### -n <database_computer>[:<port>]

The prerequisite for using this option is that you use option –d or options –d and –u at the same time.

The Loader establishes a connection to the database instance on the specified computer database_computer . When it does this, the loader execute the Loader command USE DB implicitly, or the Loader command USE USER , if both database instance name and user data have been specified.

You can also use the command USE DB or USE USER to specify the name of the database computer.

#### -s <schema_name>

The prerequisite for using this option is that you use options –d and –u at the same time.

The Loader establishes a connection to the specified schema.

You can also transfer the name of the schema using the commands USE SCHEMA, USE USER or SET CURRENT SCHEMA.

#### -e <encryption>

The prerequisite for using this option is that your SAP system is configured for the encryption.

You switch on the encryption function and select the encryption method for communication.

See also:

Concepts of the Database System, Data Encryption